Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.cs	(revision 90)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.cs	(revision 91)
@@ -266,10 +266,10 @@
                 m_IoM.SetLockWaitime(1);
                 m_IoM.beginTran();
                 // 共有ロック
-                if (!m_IoM.RowLockShare(m_MaterialItemCode, false))
-                {
-                    this.Close();
-                }
+                //if (!m_IoM.RowLockShare(m_MaterialItemCode, false))
+                //{
+                //    this.Close();
+                //}
 
             }
             catch (Exception ex)
@@ -439,8 +439,8 @@
                 // データ登録
                 if (!DataEntry()) 
                 {
-                    m_IoM.rollback();
-                    m_IoM.RowLockShare(m_MaterialItemCode, false);
+                    //m_IoM.rollback();
+                    //m_IoM.RowLockShare(m_MaterialItemCode, false);
                     return;
                 }
 
@@ -466,10 +466,17 @@
             string strSQL = m_IoM.CreatePrimarykeyString(m_MaterialItemCode);
             List<MaterialInfo> mList = new List<MaterialInfo>();
 
+            IOMaterialItem IoMim = new IOMaterialItem();
             IOMaterialRecordInfo IoMri = new IOMaterialRecordInfo();
 
+            IoMim.connect();
+            IoMim.beginTran();
+
             try
             {
+                // 資材品目マスタ
+                MaterialItemMaster MiMaster;
+
                 // 資材情報
                 miwork.MaterialItemCode = CommonMotions.cnvInt(m_MaterialItemCode);
                 miwork.MaterialCount = CommonMotions.cnvInt(lblMaterialCountAfter.Text);
@@ -476,6 +483,15 @@
                 miwork.RentCount = CommonMotions.cnvInt(lblRentCountAfter.Text);
                 miwork.DeleteFlg  = 0;
 
+                // 資材品目マスタバージョンNo取得
+                string strMimSQL = IoMim.CreatePrimarykeyString(m_MaterialItemCode);
+                List<MaterialItemMaster> MimList = new List<MaterialItemMaster>();
+                if (!IoMim.SelectAction(strMimSQL, ref MimList, false))
+                {
+                    MessageBox.Show("資材品目マスタの取得に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return false;
+                }
+                MiMaster = MimList[0];
 
                 // 資材情報マスタ取得
                 if (!m_IoM.SelectAction(strSQL, ref mList, false))
@@ -508,20 +524,20 @@
                 else
                 {
                     // 資材情報更新ロック
-                    m_IoM.rollback();
-                    if (!m_IoM.RowLockUpdate(m_MaterialItemCode, false))
-                    {
-                        m_IoM.RowLockShare(m_MaterialItemCode, false);
-                        MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                        , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                    //m_IoM.rollback();
+                    //if (!m_IoM.RowLockUpdate(m_MaterialItemCode, false))
+                    //{
+                    //    m_IoM.RowLockShare(m_MaterialItemCode, false);
+                    //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                    //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    //    return false;
+                    //}
 
                     // 貸出可能数＜破棄数の場合はエラー
                     if (CommonMotions.cnvInt(mList[0].RentCount) < CommonMotions.cnvInt(txtHaki.Text))
                     {
-                        m_IoM.rollback();
-                        m_IoM.RowLockShare(m_MaterialItemCode, false);
+                        //m_IoM.rollback();
+                        //m_IoM.RowLockShare(m_MaterialItemCode, false);
                         MessageBox.Show("割当可能数を超えて破棄できません。", "登録エラー"
                                 , MessageBoxButtons.OK, MessageBoxIcon.Warning);
                         return false;
@@ -531,8 +547,8 @@
                     // データ登録
                     if (!m_IoM.UpdateAction(strSQL, miwork, false))
                     {
-                        m_IoM.rollback();
-                        m_IoM.RowLockShare(m_MaterialItemCode, false);
+                        //m_IoM.rollback();
+                        //m_IoM.RowLockShare(m_MaterialItemCode, false);
                         MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
                     }
@@ -563,8 +579,8 @@
                     // データ登録
                     if (!IoMri.InsertAction(mRiList))
                     {
-                        m_IoM.rollback();
-                        m_IoM.RowLockShare(m_MaterialItemCode, false);
+                        //m_IoM.rollback();
+                        //m_IoM.RowLockShare(m_MaterialItemCode, false);
                         IoMri.rollback();
                         MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
@@ -591,8 +607,8 @@
                     // データ登録
                     if (!IoMri.InsertAction(mRiList))
                     {
-                        m_IoM.rollback();
-                        m_IoM.RowLockShare(m_MaterialItemCode, false);
+                        //m_IoM.rollback();
+                        //m_IoM.RowLockShare(m_MaterialItemCode, false);
                         IoMri.rollback();
                         MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
@@ -599,9 +615,18 @@
                     }
                 }
 
+                // 資材品目マスタバージョンNo更新
+                strMimSQL += string.Format(" And VERSIONNO = {0}", MiMaster.VersionNo.ToString());
+                if (IoMim.UpdateVersionAction(strMimSQL, MiMaster, false))
+                {
+                    MessageBox.Show("他のユーザで更新されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    IoMri.rollback();
+                    IoMim.rollback();
+                    return false;
+                }
+
                 IoMri.commit();
                 m_IoM.commit();
-
             }
             finally 
             {
@@ -610,6 +635,11 @@
                     IoMri.close();
                     IoMri = null;
                 }
+                if (IoMim != null)
+                {
+                    IoMim.close();
+                    IoMim = null;
+                }
             }
 
             return true;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.designer.cs	(revision 90)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialCountEntry/FrmMaterialCountEntry.designer.cs	(revision 91)
@@ -68,7 +68,7 @@
             this.label1.Location = new System.Drawing.Point(209, 9);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(292, 32);
-            this.label1.TabIndex = 6;
+            this.label1.TabIndex = 0;
             this.label1.Text = "資　材　数　変　更";
             this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -80,7 +80,7 @@
             this.label2.Location = new System.Drawing.Point(9, 49);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(86, 24);
-            this.label2.TabIndex = 23;
+            this.label2.TabIndex = 1;
             this.label2.Text = "資材種類";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -92,7 +92,7 @@
             this.label3.Location = new System.Drawing.Point(9, 79);
             this.label3.Name = "label3";
             this.label3.Size = new System.Drawing.Size(86, 24);
-            this.label3.TabIndex = 26;
+            this.label3.TabIndex = 3;
             this.label3.Text = "資材品目";
             this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -104,7 +104,7 @@
             this.label4.Location = new System.Drawing.Point(9, 109);
             this.label4.Name = "label4";
             this.label4.Size = new System.Drawing.Size(86, 24);
-            this.label4.TabIndex = 28;
+            this.label4.TabIndex = 5;
             this.label4.Text = "登録日";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -116,7 +116,7 @@
             this.lblMaterialKind.Location = new System.Drawing.Point(100, 49);
             this.lblMaterialKind.Name = "lblMaterialKind";
             this.lblMaterialKind.Size = new System.Drawing.Size(180, 24);
-            this.lblMaterialKind.TabIndex = 29;
+            this.lblMaterialKind.TabIndex = 2;
             this.lblMaterialKind.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // lblMaterialItem
@@ -127,7 +127,7 @@
             this.lblMaterialItem.Location = new System.Drawing.Point(100, 79);
             this.lblMaterialItem.Name = "lblMaterialItem";
             this.lblMaterialItem.Size = new System.Drawing.Size(180, 24);
-            this.lblMaterialItem.TabIndex = 30;
+            this.lblMaterialItem.TabIndex = 4;
             this.lblMaterialItem.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // lblMaterialDate
@@ -138,7 +138,7 @@
             this.lblMaterialDate.Location = new System.Drawing.Point(101, 109);
             this.lblMaterialDate.Name = "lblMaterialDate";
             this.lblMaterialDate.Size = new System.Drawing.Size(150, 24);
-            this.lblMaterialDate.TabIndex = 31;
+            this.lblMaterialDate.TabIndex = 6;
             this.lblMaterialDate.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // btnEnd
@@ -148,7 +148,7 @@
             this.btnEnd.Location = new System.Drawing.Point(580, 255);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 28);
-            this.btnEnd.TabIndex = 4;
+            this.btnEnd.TabIndex = 27;
             this.btnEnd.Text = "終　了";
             this.btnEnd.UseVisualStyleBackColor = false;
             this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
@@ -161,7 +161,7 @@
             this.lblPerson.Location = new System.Drawing.Point(381, 109);
             this.lblPerson.Name = "lblPerson";
             this.lblPerson.Size = new System.Drawing.Size(144, 24);
-            this.lblPerson.TabIndex = 34;
+            this.lblPerson.TabIndex = 8;
             this.lblPerson.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // label9
@@ -172,7 +172,7 @@
             this.label9.Location = new System.Drawing.Point(289, 109);
             this.label9.Name = "label9";
             this.label9.Size = new System.Drawing.Size(86, 24);
-            this.label9.TabIndex = 33;
+            this.label9.TabIndex = 7;
             this.label9.Text = "担当";
             this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -184,7 +184,7 @@
             this.label11.Location = new System.Drawing.Point(9, 139);
             this.label11.Name = "label11";
             this.label11.Size = new System.Drawing.Size(86, 24);
-            this.label11.TabIndex = 35;
+            this.label11.TabIndex = 9;
             this.label11.Text = "追加";
             this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -196,7 +196,7 @@
             this.label13.Location = new System.Drawing.Point(289, 139);
             this.label13.Name = "label13";
             this.label13.Size = new System.Drawing.Size(86, 24);
-            this.label13.TabIndex = 37;
+            this.label13.TabIndex = 11;
             this.label13.Text = "破棄";
             this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -208,7 +208,7 @@
             this.label15.Location = new System.Drawing.Point(9, 169);
             this.label15.Name = "label15";
             this.label15.Size = new System.Drawing.Size(86, 24);
-            this.label15.TabIndex = 39;
+            this.label15.TabIndex = 13;
             this.label15.Text = "変更前";
             this.label15.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -220,7 +220,7 @@
             this.label14.Location = new System.Drawing.Point(102, 169);
             this.label14.Name = "label14";
             this.label14.Size = new System.Drawing.Size(100, 24);
-            this.label14.TabIndex = 40;
+            this.label14.TabIndex = 14;
             this.label14.Text = "資材数";
             this.label14.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -232,7 +232,7 @@
             this.label17.Location = new System.Drawing.Point(302, 169);
             this.label17.Name = "label17";
             this.label17.Size = new System.Drawing.Size(142, 24);
-            this.label17.TabIndex = 42;
+            this.label17.TabIndex = 16;
             this.label17.Text = "貸出可能数";
             this.label17.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -244,7 +244,7 @@
             this.label20.Location = new System.Drawing.Point(302, 192);
             this.label20.Name = "label20";
             this.label20.Size = new System.Drawing.Size(142, 24);
-            this.label20.TabIndex = 47;
+            this.label20.TabIndex = 21;
             this.label20.Text = "貸出可能数";
             this.label20.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -256,7 +256,7 @@
             this.label22.Location = new System.Drawing.Point(102, 192);
             this.label22.Name = "label22";
             this.label22.Size = new System.Drawing.Size(100, 24);
-            this.label22.TabIndex = 45;
+            this.label22.TabIndex = 19;
             this.label22.Text = "資材数";
             this.label22.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -268,7 +268,7 @@
             this.label23.Location = new System.Drawing.Point(9, 192);
             this.label23.Name = "label23";
             this.label23.Size = new System.Drawing.Size(86, 24);
-            this.label23.TabIndex = 44;
+            this.label23.TabIndex = 18;
             this.label23.Text = "変更後";
             this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -279,7 +279,7 @@
             this.txtDataEntry.Location = new System.Drawing.Point(454, 255);
             this.txtDataEntry.Name = "txtDataEntry";
             this.txtDataEntry.Size = new System.Drawing.Size(120, 28);
-            this.txtDataEntry.TabIndex = 51;
+            this.txtDataEntry.TabIndex = 26;
             this.txtDataEntry.Text = "登　録";
             this.txtDataEntry.UseVisualStyleBackColor = false;
             this.txtDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
@@ -291,7 +291,7 @@
             this.btnMaterialHistory.Location = new System.Drawing.Point(8, 255);
             this.btnMaterialHistory.Name = "btnMaterialHistory";
             this.btnMaterialHistory.Size = new System.Drawing.Size(120, 28);
-            this.btnMaterialHistory.TabIndex = 52;
+            this.btnMaterialHistory.TabIndex = 25;
             this.btnMaterialHistory.Text = "資材履歴";
             this.btnMaterialHistory.UseVisualStyleBackColor = false;
             this.btnMaterialHistory.Click += new System.EventHandler(this.btnMaterialHistory_Click);
@@ -304,7 +304,7 @@
             this.label25.Location = new System.Drawing.Point(9, 222);
             this.label25.Name = "label25";
             this.label25.Size = new System.Drawing.Size(87, 24);
-            this.label25.TabIndex = 53;
+            this.label25.TabIndex = 23;
             this.label25.Text = "コメント";
             this.label25.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -313,7 +313,7 @@
             this.txtComment.Location = new System.Drawing.Point(102, 223);
             this.txtComment.Name = "txtComment";
             this.txtComment.Size = new System.Drawing.Size(597, 23);
-            this.txtComment.TabIndex = 54;
+            this.txtComment.TabIndex = 24;
             // 
             // lblRentCountAfter
             // 
@@ -323,7 +323,7 @@
             this.lblRentCountAfter.Location = new System.Drawing.Point(444, 192);
             this.lblRentCountAfter.Name = "lblRentCountAfter";
             this.lblRentCountAfter.Size = new System.Drawing.Size(100, 24);
-            this.lblRentCountAfter.TabIndex = 48;
+            this.lblRentCountAfter.TabIndex = 22;
             this.lblRentCountAfter.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
             // lblRentCount
@@ -334,7 +334,7 @@
             this.lblRentCount.Location = new System.Drawing.Point(444, 169);
             this.lblRentCount.Name = "lblRentCount";
             this.lblRentCount.Size = new System.Drawing.Size(100, 24);
-            this.lblRentCount.TabIndex = 43;
+            this.lblRentCount.TabIndex = 17;
             this.lblRentCount.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
             // lblMaterialCountAfter
@@ -345,7 +345,7 @@
             this.lblMaterialCountAfter.Location = new System.Drawing.Point(202, 192);
             this.lblMaterialCountAfter.Name = "lblMaterialCountAfter";
             this.lblMaterialCountAfter.Size = new System.Drawing.Size(100, 24);
-            this.lblMaterialCountAfter.TabIndex = 46;
+            this.lblMaterialCountAfter.TabIndex = 20;
             this.lblMaterialCountAfter.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
             // lblMaterialCount
@@ -356,7 +356,7 @@
             this.lblMaterialCount.Location = new System.Drawing.Point(202, 169);
             this.lblMaterialCount.Name = "lblMaterialCount";
             this.lblMaterialCount.Size = new System.Drawing.Size(100, 24);
-            this.lblMaterialCount.TabIndex = 41;
+            this.lblMaterialCount.TabIndex = 15;
             this.lblMaterialCount.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
             // txtTuika
@@ -366,7 +366,7 @@
             this.txtTuika.MaxLength = 4;
             this.txtTuika.Name = "txtTuika";
             this.txtTuika.Size = new System.Drawing.Size(100, 23);
-            this.txtTuika.TabIndex = 55;
+            this.txtTuika.TabIndex = 10;
             this.txtTuika.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
             this.txtTuika.TextChanged += new System.EventHandler(this.txtTuika_TextChanged);
             this.txtTuika.Leave += new System.EventHandler(this.txtTuika_Leave);
@@ -378,7 +378,7 @@
             this.txtHaki.MaxLength = 4;
             this.txtHaki.Name = "txtHaki";
             this.txtHaki.Size = new System.Drawing.Size(100, 23);
-            this.txtHaki.TabIndex = 56;
+            this.txtHaki.TabIndex = 12;
             this.txtHaki.TextAlign = System.Windows.Forms.HorizontalAlignment.Right;
             this.txtHaki.TextChanged += new System.EventHandler(this.txtHaki_TextChanged);
             this.txtHaki.Leave += new System.EventHandler(this.txtHaki_Leave);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 90)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.cs	(revision 91)
@@ -812,10 +812,11 @@
         /// </summary>
         private bool DataEntry()
         {
-
+            IOMaterialItem IoMim = new IOMaterialItem();
             IOMaterialRecordInfo IoMri = new IOMaterialRecordInfo();
             IOConstructionMaterialInfo IoCmi = new IOConstructionMaterialInfo();
 
+            MaterialItemMaster MiMaster;
             MaterialInfo MiWork;
             ConstructionMaterialInfo CmiWork;
             MaterialRecordInfo MriWork;
@@ -833,6 +834,9 @@
                 string strProcessdate = cmbProcessDate.SelectedValue.ToString() == "0" ?
                                         DateTime.Now.Date.ToString("yyyy/MM/dd") : cmbProcessDate.SelectedValue.ToString();
 
+                IoMim.connect();
+                IoMim.beginTran();
+
                 IoMri.connect();
                 IoMri.beginTran();
 
@@ -842,6 +846,8 @@
                 foreach (DataGridViewRow r in dgvMaster.Rows)
                 {
                     bool bProcessNoToday = false;
+
+                    MiMaster = new MaterialItemMaster();
                     MiWork = new MaterialInfo();
                     CmiWork = new ConstructionMaterialInfo();
                     MriWork = new MaterialRecordInfo();
@@ -860,6 +866,16 @@
                     IoMri.ExecuteReader(sql, ref arData,false);
                     if (arData.Count != 0) bProcessNoToday = true;
 
+                    // 資材品目マスタバージョンNo取得
+                    string strMimSQL = IoMim.CreatePrimarykeyString(intMaterialItemCode);
+                    List<MaterialItemMaster> MimList = new List<MaterialItemMaster>();
+                    if (!IoMim.SelectAction(strMimSQL, ref MimList, false))
+                    {
+                        MessageBox.Show("資材品目マスタの取得に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return false;
+                    }
+                    MiMaster = MimList[0];
+
                     // 資材情報
                     string strSQL = m_IoMi.CreatePrimarykeyString(intMaterialItemCode);
                     List<MaterialInfo> MiList = new List<MaterialInfo>();
@@ -870,19 +886,19 @@
                     }
 
                     // 更新ロック
-                    m_IoMi.rollback();
-                    if (!m_IoMi.RowLockUpdate(intMaterialItemCode, false))
-                    {
-                        m_IoMi.RowLockShare(intMaterialItemCode, false);
-                        MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                        , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return false;
-                    }
+                    //m_IoMi.rollback();
+                    //if (!m_IoMi.RowLockUpdate(intMaterialItemCode, false))
+                    //{
+                    //    m_IoMi.RowLockShare(intMaterialItemCode, false);
+                    //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                    //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    //    return false;
+                    //}
                     // 登録チェック②－２
                     if ((MiList[0].RentCount + CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value)) < CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value))
                     {
-                        m_IoMi.rollback();
-                        m_IoMi.RowLockShare(intMaterialItemCode, false);
+                        //m_IoMi.rollback();
+                        //m_IoMi.RowLockShare(intMaterialItemCode, false);
                         MessageBox.Show("割当可能数を超えて、資材の予約できません。", "登録エラー"
                         , MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
@@ -903,8 +919,8 @@
                     // データ登録
                     if (!m_IoMi.UpdateAction(strSQL, MiWork, false))
                     {
-                        m_IoMi.rollback();
-                        m_IoMi.RowLockShare(intMaterialItemCode, false);
+                        //m_IoMi.rollback();
+                        //m_IoMi.RowLockShare(intMaterialItemCode, false);
                         MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         return false;
                     }
@@ -960,8 +976,8 @@
                         // データ登録
                         if (!IoCmi.InsertAction(CmiList, false))
                         {
-                            m_IoMi.rollback();
-                            m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            //m_IoMi.rollback();
+                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
                             IoCmi.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                             return false;
@@ -974,8 +990,8 @@
                         strSQL = IoCmi.CreatePrimarykeyString(m_ConstructionCode, intMaterialItemCode);
                         if (!IoCmi.SelectAction(strSQL, ref CmiList, false))
                         {
-                            m_IoMi.rollback();
-                            m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            //m_IoMi.rollback();
+                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
                             MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                             return false;
                         }
@@ -995,14 +1011,14 @@
                         }
 
                         // ロック
-                        if (!IoCmi.RowLock(m_ConstructionCode, intMaterialItemCode, false))
-                        {
-                            m_IoMi.rollback();
-                            m_IoMi.RowLockShare(intMaterialItemCode, false);
-                            MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                            , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return false;
-                        }
+                        //if (!IoCmi.RowLock(m_ConstructionCode, intMaterialItemCode, false))
+                        //{
+                        //    m_IoMi.rollback();
+                        //    m_IoMi.RowLockShare(intMaterialItemCode, false);
+                        //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                        //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        //    return false;
+                        //}
 
                         if (CmiState == DataRowState.Modified)  // 更新
                         {
@@ -1009,8 +1025,8 @@
                             // データ更新
                             if (!IoCmi.UpdateAction(strSQL, CmiWork, false))
                             {
-                                m_IoMi.rollback();
-                                m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                //m_IoMi.rollback();
+                                //m_IoMi.RowLockShare(intMaterialItemCode, false);
                                 IoCmi.rollback();
                                 MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                 return false;
@@ -1021,8 +1037,8 @@
                             // データ更新
                             if (!IoCmi.DeleteAction(strSQL, false))
                             {
-                                m_IoMi.rollback();
-                                m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                //m_IoMi.rollback();
+                                //m_IoMi.RowLockShare(intMaterialItemCode, false);
                                 IoCmi.rollback();
                                 MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                                 return false;
@@ -1052,8 +1068,8 @@
                         // データ登録
                         if (!IoMri.InsertAction(MriList, false))
                         {
-                            m_IoMi.rollback();
-                            m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            //m_IoMi.rollback();
+                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
                             IoCmi.rollback();
                             IoMri.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -1066,8 +1082,8 @@
                         strSQL += "and RecKind = 0";
                         if (!IoMri.SelectAction(strSQL, ref MriList, false))
                         {
-                            m_IoMi.rollback();
-                            m_IoMi.RowLockShare(intMaterialItemCode, false);
+                            //m_IoMi.rollback();
+                            //m_IoMi.RowLockShare(intMaterialItemCode, false);
                             IoCmi.rollback();
                             MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                             return false;
@@ -1074,15 +1090,15 @@
                         }
 
                         // ロック
-                        if (!IoMri.RowLock(intMaterialItemCode, MriList[0].ProcessDate, MriList[0].SeqNo, false))
-                        {
-                            m_IoMi.rollback();
-                            m_IoMi.RowLockShare(intMaterialItemCode, false);
-                            IoCmi.rollback();
-                            MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                            , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return false;
-                        }
+                        //if (!IoMri.RowLock(intMaterialItemCode, MriList[0].ProcessDate, MriList[0].SeqNo, false))
+                        //{
+                        //    m_IoMi.rollback();
+                        //    m_IoMi.RowLockShare(intMaterialItemCode, false);
+                        //    IoCmi.rollback();
+                        //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                        //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        //    return false;
+                        //}
 
                         if (MriState == DataRowState.Modified)  // 更新
                         {
@@ -1089,8 +1105,8 @@
                             // データ更新
                             if (!IoMri.UpdateAction(strSQL, MriWork, false))
                             {
-                                m_IoMi.rollback();
-                                m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                //m_IoMi.rollback();
+                                //m_IoMi.RowLockShare(intMaterialItemCode, false);
                                 IoCmi.rollback();
                                 IoMri.rollback();
                                 MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -1102,8 +1118,8 @@
                             // データ更新
                             if (!IoMri.DeleteAction(strSQL, false))
                             {
-                                m_IoMi.rollback();
-                                m_IoMi.RowLockShare(intMaterialItemCode, false);
+                                //m_IoMi.rollback();
+                                //m_IoMi.RowLockShare(intMaterialItemCode, false);
                                 IoCmi.rollback();
                                 IoMri.rollback();
                                 MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -1112,11 +1128,23 @@
                         }
                     }
 
+                    // 資材品目マスタバージョンNo更新
+                    strMimSQL += string.Format(" And VERSIONNO = {0}", MiMaster.VersionNo.ToString());
+                    if (!IoMim.UpdateVersionAction(strMimSQL, MiMaster, false))
+                    {
+                        MessageBox.Show("他のユーザで更新されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        m_IoMi.rollback();
+                        IoCmi.rollback();
+                        IoMri.rollback();
+                        IoMim.rollback();
+                        return false;
+                    }
                 }
 
                 m_IoMi.commit();
                 IoCmi.commit();
                 IoMri.commit();
+                IoMim.commit();
 
                 //LoadComboBox();
             }
@@ -1126,10 +1154,21 @@
             }
             finally
             {
-                IoMri.close();
-                IoMri = null;
-                IoCmi.close();
-                IoCmi = null;
+                if (IoCmi != null)
+                {
+                    IoCmi.close();
+                    IoCmi = null;
+                }
+                if (IoMri != null)
+                {
+                    IoMri.close();
+                    IoMri = null;
+                }
+                if (IoMim != null)
+                {
+                    IoMim.close();
+                    IoMim = null;
+                }
             }
             return true;
         }
@@ -1197,10 +1236,10 @@
                     icnt++;
 
                     // 共有ロック
-                    if (!m_IoMi.RowLockShare(CommonMotions.cnvInt(work[(int)DataColumn.MaterialItemCode]), false))
-                    {
-                        return false;
-                    }
+                    //if (!m_IoMi.RowLockShare(CommonMotions.cnvInt(work[(int)DataColumn.MaterialItemCode]), false))
+                    //{
+                    //    return false;
+                    //}
 
                 }
 
@@ -1341,10 +1380,10 @@
                             dgvMaster.Rows[setRow].Cells[(int)DispColumn.RentCount].Value = 0;
                         }
                         // 共有ロック
-                        if (!m_IoMi.RowLockShare(item.MaterialItemCode, false))
-                        {
-                            return;
-                        }
+                        //if (!m_IoMi.RowLockShare(item.MaterialItemCode, false))
+                        //{
+                        //    return;
+                        //}
                     }
 
                     cnt++;
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.designer.cs	(revision 90)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReserveEntry/FrmMaterialReserveEntry.designer.cs	(revision 91)
@@ -78,7 +78,7 @@
             this.label1.Location = new System.Drawing.Point(455, 8);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(292, 34);
-            this.label1.TabIndex = 6;
+            this.label1.TabIndex = 0;
             this.label1.Text = "資　材　貸　出";
             this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -90,7 +90,7 @@
             this.label2.Location = new System.Drawing.Point(8, 48);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(86, 24);
-            this.label2.TabIndex = 23;
+            this.label2.TabIndex = 1;
             this.label2.Text = "工事名称";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -102,7 +102,7 @@
             this.label3.Location = new System.Drawing.Point(8, 77);
             this.label3.Name = "label3";
             this.label3.Size = new System.Drawing.Size(86, 24);
-            this.label3.TabIndex = 26;
+            this.label3.TabIndex = 3;
             this.label3.Text = "貸出日";
             this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -114,7 +114,7 @@
             this.label4.Location = new System.Drawing.Point(271, 78);
             this.label4.Name = "label4";
             this.label4.Size = new System.Drawing.Size(86, 24);
-            this.label4.TabIndex = 28;
+            this.label4.TabIndex = 5;
             this.label4.Text = "担当";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -126,7 +126,7 @@
             this.lblDETAILSTRING.Location = new System.Drawing.Point(100, 48);
             this.lblDETAILSTRING.Name = "lblDETAILSTRING";
             this.lblDETAILSTRING.Size = new System.Drawing.Size(919, 24);
-            this.lblDETAILSTRING.TabIndex = 29;
+            this.lblDETAILSTRING.TabIndex = 2;
             this.lblDETAILSTRING.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // lblPerson
@@ -137,7 +137,7 @@
             this.lblPerson.Location = new System.Drawing.Point(363, 78);
             this.lblPerson.Name = "lblPerson";
             this.lblPerson.Size = new System.Drawing.Size(140, 24);
-            this.lblPerson.TabIndex = 31;
+            this.lblPerson.TabIndex = 6;
             this.lblPerson.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // btnEnd
@@ -147,7 +147,7 @@
             this.btnEnd.Location = new System.Drawing.Point(1039, 390);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 4;
+            this.btnEnd.TabIndex = 10;
             this.btnEnd.Text = "終　了";
             this.btnEnd.UseVisualStyleBackColor = false;
             this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
@@ -159,7 +159,7 @@
             this.btnDataEntry.Location = new System.Drawing.Point(913, 390);
             this.btnDataEntry.Name = "btnDataEntry";
             this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
-            this.btnDataEntry.TabIndex = 33;
+            this.btnDataEntry.TabIndex = 9;
             this.btnDataEntry.Text = "登　録";
             this.btnDataEntry.UseVisualStyleBackColor = false;
             this.btnDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
@@ -171,7 +171,7 @@
             this.button6.Location = new System.Drawing.Point(8, 390);
             this.button6.Name = "button6";
             this.button6.Size = new System.Drawing.Size(120, 30);
-            this.button6.TabIndex = 37;
+            this.button6.TabIndex = 8;
             this.button6.Text = "その他画面へ";
             this.button6.UseVisualStyleBackColor = false;
             this.button6.Click += new System.EventHandler(this.btnOtherProc_Click);
@@ -186,7 +186,7 @@
             this.groupBoxEx1.Location = new System.Drawing.Point(8, 107);
             this.groupBoxEx1.Name = "groupBoxEx1";
             this.groupBoxEx1.Size = new System.Drawing.Size(1150, 277);
-            this.groupBoxEx1.TabIndex = 39;
+            this.groupBoxEx1.TabIndex = 7;
             this.groupBoxEx1.TabStop = false;
             // 
             // btnMaterialHistory
@@ -196,7 +196,7 @@
             this.btnMaterialHistory.Location = new System.Drawing.Point(6, 241);
             this.btnMaterialHistory.Name = "btnMaterialHistory";
             this.btnMaterialHistory.Size = new System.Drawing.Size(120, 30);
-            this.btnMaterialHistory.TabIndex = 38;
+            this.btnMaterialHistory.TabIndex = 1;
             this.btnMaterialHistory.Text = "資材履歴";
             this.btnMaterialHistory.UseVisualStyleBackColor = false;
             this.btnMaterialHistory.Click += new System.EventHandler(this.btnMaterialHistory_Click);
@@ -208,7 +208,7 @@
             this.btnMaterialRelease.Location = new System.Drawing.Point(895, 241);
             this.btnMaterialRelease.Name = "btnMaterialRelease";
             this.btnMaterialRelease.Size = new System.Drawing.Size(120, 30);
-            this.btnMaterialRelease.TabIndex = 36;
+            this.btnMaterialRelease.TabIndex = 2;
             this.btnMaterialRelease.Text = "資材解除";
             this.btnMaterialRelease.UseVisualStyleBackColor = false;
             this.btnMaterialRelease.Click += new System.EventHandler(this.btnMaterialRelease_Click);
@@ -220,7 +220,7 @@
             this.btnMaterialSelect.Location = new System.Drawing.Point(1023, 241);
             this.btnMaterialSelect.Name = "btnMaterialSelect";
             this.btnMaterialSelect.Size = new System.Drawing.Size(120, 30);
-            this.btnMaterialSelect.TabIndex = 35;
+            this.btnMaterialSelect.TabIndex = 3;
             this.btnMaterialSelect.Text = "資材選択";
             this.btnMaterialSelect.UseVisualStyleBackColor = false;
             this.btnMaterialSelect.Click += new System.EventHandler(this.btnMaterialSelect_Click);
@@ -267,7 +267,7 @@
             this.dgvMaster.RowHeadersDefaultCellStyle = dataGridViewCellStyle8;
             this.dgvMaster.RowHeadersWidth = 24;
             this.dgvMaster.Size = new System.Drawing.Size(1137, 229);
-            this.dgvMaster.TabIndex = 31;
+            this.dgvMaster.TabIndex = 0;
             this.dgvMaster.CellClick += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellClick);
             this.dgvMaster.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellValueChanged);
             // 
@@ -398,7 +398,7 @@
             this.cmbProcessDate.Location = new System.Drawing.Point(100, 78);
             this.cmbProcessDate.Name = "cmbProcessDate";
             this.cmbProcessDate.Size = new System.Drawing.Size(165, 24);
-            this.cmbProcessDate.TabIndex = 34;
+            this.cmbProcessDate.TabIndex = 4;
             this.cmbProcessDate.SelectedIndexChanged += new System.EventHandler(this.cmbProcessDate_SelectedIndexChanged);
             // 
             // FrmMaterialReserveEntry
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 90)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.cs	(revision 91)
@@ -593,10 +593,12 @@
         /// </summary>
         private void DataEntry()
         {
+            IOMaterialItem IoMim = new IOMaterialItem();
             IOMaterialInfo IoMi = new IOMaterialInfo();
             IOConstructionMaterialInfo IoCmi = new IOConstructionMaterialInfo();
             IOMaterialRecordInfo IoMri = new IOMaterialRecordInfo();
 
+            MaterialItemMaster MiMaster;
             MaterialInfo MiWork;
             ConstructionMaterialInfo CmiWork;
             MaterialRecordInfo MriWork;
@@ -607,6 +609,9 @@
             try
             {
 
+                IoMim.connect();
+                IoMim.beginTran();
+
                 IoMi.connect();
                 IoMi.beginTran();
 
@@ -618,6 +623,8 @@
 
                 foreach (DataGridViewRow r in dgvMaster.Rows)
                 {
+                    MiMaster = new MaterialItemMaster();
+
                     int intMaterialItemCode = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialItemCode].Value);
                     int intRentCount = CommonMotions.cnvInt(r.Cells[(int)DispColumn.RentCount].Value);
                     int intRepayCount= CommonMotions.cnvInt(r.Cells[(int)DispColumn.RepayCount].Value);
@@ -624,6 +631,16 @@
                     int intMaterialCount= CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCount].Value);
                     int intMaterialCountBefore = CommonMotions.cnvInt(r.Cells[(int)DispColumn.MaterialCountBefore].Value);
 
+                    // 資材品目マスタバージョンNo取得
+                    string strMimSQL = IoMim.CreatePrimarykeyString(intMaterialItemCode);
+                    List<MaterialItemMaster> MimList = new List<MaterialItemMaster>();
+                    if (!IoMim.SelectAction(strMimSQL, ref MimList, false))
+                    {
+                        MessageBox.Show("資材品目マスタの取得に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        return;
+                    }
+                    MiMaster = MimList[0];
+
                     // 資材情報------------------------------------------------------------------------
                     MiWork = new MaterialInfo();
                     string strSQL = IoMi.CreatePrimarykeyString(intMaterialItemCode);
@@ -647,12 +664,12 @@
                     MiWork.RentCount = MiList[0].RentCount + (intMaterialCount - intMaterialCountBefore);
 
                     // 更新ロック
-                    if (!IoMi.RowLockUpdate(intMaterialItemCode, false))
-                    {
-                        MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                        , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
-                    }
+                    //if (!IoMi.RowLockUpdate(intMaterialItemCode, false))
+                    //{
+                    //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                    //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    //    return;
+                    //}
 
                     // データ登録
                     if (!IoMi.UpdateAction(strSQL, MiWork, false))
@@ -685,13 +702,13 @@
                     }
 
                     // ロック
-                    if (!IoCmi.RowLock(m_ConstructionCode, intMaterialItemCode, false))
-                    {
-                        IoMi.rollback();
-                        MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                        , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
-                    }
+                    //if (!IoCmi.RowLock(m_ConstructionCode, intMaterialItemCode, false))
+                    //{
+                    //    IoMi.rollback();
+                    //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                    //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    //    return;
+                    //}
 
                     // データ更新
                     if (!IoCmi.UpdateAction(strSQL, CmiWork, false))
@@ -744,14 +761,14 @@
                     else　　　　　　//  更新
                     {
                         // ロック
-                        if (!IoMri.RowLock(intMaterialItemCode, MriList[0].ProcessDate, MriList[0].SeqNo, false))
-                        {
-                            IoMi.rollback();
-                            IoCmi.rollback();
-                            MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
-                            , MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
-                        }
+                        //if (!IoMri.RowLock(intMaterialItemCode, MriList[0].ProcessDate, MriList[0].SeqNo, false))
+                        //{
+                        //    IoMi.rollback();
+                        //    IoCmi.rollback();
+                        //    MessageBox.Show("他のユーザで編集中のため、処理できません。", "登録エラー"
+                        //    , MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        //    return;
+                        //}
 
                         // データ更新
                         strSQL = IoMri.CreatePrimarykeyString(intMaterialItemCode, DateTime.Now.Date);
@@ -767,11 +784,22 @@
 
                     }
 
+                    // 資材品目マスタバージョンNo更新
+                    strMimSQL += string.Format(" And VERSIONNO = {0}", MiMaster.VersionNo.ToString());
+                    if (IoMim.UpdateVersionAction(strMimSQL, MiMaster, false))
+                    {
+                        MessageBox.Show("他のユーザで更新されています。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        IoCmi.rollback();
+                        IoMri.rollback();
+                        IoMim.rollback();
+                        return;
+                    }
                 }
 
                 IoMi.commit();
                 IoCmi.commit();
                 IoMri.commit();
+                IoMim.commit();
             }
             catch (System.Exception ex)
             {
@@ -779,14 +807,26 @@
             }
             finally
             {
-                IoMi.close();
-                IoMi = null;
-
-                IoCmi.close();
-                IoCmi = null;
-
-                IoMri.close();
-                IoMri = null;
+                if (IoMi != null)
+                {
+                    IoMi.close();
+                    IoMi = null;
+                }
+                if (IoCmi != null)
+                {
+                    IoCmi.close();
+                    IoCmi = null;
+                }
+                if (IoMri != null)
+                {
+                    IoMri.close();
+                    IoMri = null;
+                }
+                if (IoMim != null)
+                {
+                    IoMim.close();
+                    IoMim = null;
+                }
             }
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 90)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Material/MaterialReturnEntry/FrmMaterialReturnEntry.designer.cs	(revision 91)
@@ -75,7 +75,7 @@
             this.label1.Location = new System.Drawing.Point(455, 8);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(292, 34);
-            this.label1.TabIndex = 6;
+            this.label1.TabIndex = 0;
             this.label1.Text = "資　材　返　却";
             this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -87,7 +87,7 @@
             this.label2.Location = new System.Drawing.Point(8, 48);
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(86, 24);
-            this.label2.TabIndex = 23;
+            this.label2.TabIndex = 1;
             this.label2.Text = "工事名称";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -99,7 +99,7 @@
             this.label3.Location = new System.Drawing.Point(8, 77);
             this.label3.Name = "label3";
             this.label3.Size = new System.Drawing.Size(86, 24);
-            this.label3.TabIndex = 26;
+            this.label3.TabIndex = 3;
             this.label3.Text = "返却日";
             this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -111,7 +111,7 @@
             this.label4.Location = new System.Drawing.Point(271, 77);
             this.label4.Name = "label4";
             this.label4.Size = new System.Drawing.Size(86, 24);
-            this.label4.TabIndex = 28;
+            this.label4.TabIndex = 5;
             this.label4.Text = "担当";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -123,7 +123,7 @@
             this.lblDETAILSTRING.Location = new System.Drawing.Point(100, 48);
             this.lblDETAILSTRING.Name = "lblDETAILSTRING";
             this.lblDETAILSTRING.Size = new System.Drawing.Size(919, 24);
-            this.lblDETAILSTRING.TabIndex = 29;
+            this.lblDETAILSTRING.TabIndex = 2;
             this.lblDETAILSTRING.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // lblPerson
@@ -134,7 +134,7 @@
             this.lblPerson.Location = new System.Drawing.Point(363, 77);
             this.lblPerson.Name = "lblPerson";
             this.lblPerson.Size = new System.Drawing.Size(140, 24);
-            this.lblPerson.TabIndex = 31;
+            this.lblPerson.TabIndex = 6;
             this.lblPerson.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // btnEnd
@@ -144,7 +144,7 @@
             this.btnEnd.Location = new System.Drawing.Point(1032, 386);
             this.btnEnd.Name = "btnEnd";
             this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 4;
+            this.btnEnd.TabIndex = 10;
             this.btnEnd.Text = "終　了";
             this.btnEnd.UseVisualStyleBackColor = false;
             this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
@@ -156,7 +156,7 @@
             this.btnDataEntry.Location = new System.Drawing.Point(906, 386);
             this.btnDataEntry.Name = "btnDataEntry";
             this.btnDataEntry.Size = new System.Drawing.Size(120, 30);
-            this.btnDataEntry.TabIndex = 33;
+            this.btnDataEntry.TabIndex = 9;
             this.btnDataEntry.Text = "登　録";
             this.btnDataEntry.UseVisualStyleBackColor = false;
             this.btnDataEntry.Click += new System.EventHandler(this.btnDataEntry_Click);
@@ -169,7 +169,7 @@
             this.lblRepaydate.Location = new System.Drawing.Point(100, 77);
             this.lblRepaydate.Name = "lblRepaydate";
             this.lblRepaydate.Size = new System.Drawing.Size(165, 24);
-            this.lblRepaydate.TabIndex = 34;
+            this.lblRepaydate.TabIndex = 4;
             this.lblRepaydate.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // button3
@@ -179,7 +179,7 @@
             this.button3.Location = new System.Drawing.Point(14, 386);
             this.button3.Name = "button3";
             this.button3.Size = new System.Drawing.Size(120, 30);
-            this.button3.TabIndex = 37;
+            this.button3.TabIndex = 8;
             this.button3.Text = "その他画面へ";
             this.button3.UseVisualStyleBackColor = false;
             this.button3.Click += new System.EventHandler(this.btnOtherProc_Click);
@@ -192,7 +192,7 @@
             this.groupBoxEx1.Location = new System.Drawing.Point(8, 107);
             this.groupBoxEx1.Name = "groupBoxEx1";
             this.groupBoxEx1.Size = new System.Drawing.Size(1150, 273);
-            this.groupBoxEx1.TabIndex = 38;
+            this.groupBoxEx1.TabIndex = 7;
             this.groupBoxEx1.TabStop = false;
             // 
             // tglAllReturn
@@ -205,7 +205,7 @@
             this.tglAllReturn.Margin = new System.Windows.Forms.Padding(2);
             this.tglAllReturn.Name = "tglAllReturn";
             this.tglAllReturn.Size = new System.Drawing.Size(188, 26);
-            this.tglAllReturn.TabIndex = 37;
+            this.tglAllReturn.TabIndex = 1;
             this.tglAllReturn.Text = "資材の返却を完了する";
             this.tglAllReturn.UseVisualStyleBackColor = true;
             // 
@@ -251,7 +251,7 @@
             this.dgvMaster.RowHeadersWidth = 24;
             this.dgvMaster.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.CellSelect;
             this.dgvMaster.Size = new System.Drawing.Size(1137, 229);
-            this.dgvMaster.TabIndex = 31;
+            this.dgvMaster.TabIndex = 0;
             this.dgvMaster.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgvMaster_CellValueChanged);
             // 
             // Column1
